---
schema_version: "1"
id: 40f98f19877c846a1d2b4305aab2270062e66f5c62ac7a74c26326cfe36a1f6f
title: GET /sms/v1/messageContact/{messageId}/history/{tokenId}/mobileNumber/{mobileNumber}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getMessageContactHistory.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getMessageContactHistory.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: b194272511627ae6814c515e14ee8c8006ba4558c9edc20c8215fb8daa5b39da
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/messageContact/{messageId}/history/{tokenId}/mobileNumber/{mobileNumber}

## Overview

Retrieves the last message sent to a mobile number.

### URL Parameters

<!--complex table-->

| Name             | Type   |              | Description                                |
| ---------------- | ------ | ------------ | ------------------------------------------ |
| **messageId**    | string | **Required** | Message Id provided for the messageContact |
| **tokenId**      | string | **Required** | Token Id returned for the messageContact   |
| **mobileNumber** | string | **Required** | Mobile number for the messageContact       |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/messageContact/MTA3ODo3ODow/history/MENqMHZHV2x3a0M1dG1iOHVnam9LZzo3OTow/mobileNumber/1120816001
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
  "count": 1,
  "createDate": "2017-12-19T14:35:35.51",
  "status": "Active",
  "history": [
    {
      "type": "MT",
      "message": "Send your first name!",
      "date": "2013-12-19T14:35:35.51"
    }
  ]
}
```
